.form-group label {
    font-weight: normal;
    line-height: 31px;
    font-size: 12px;
}

/*
      TABELA
    */

    .main {
        background-color: #fff;
        border-bottom: 2px solid #D4D4D4;
        margin-bottom: 30px;
        position: relative;
    }

    .main-breadcrumb {
        color: black;
        font-size: 23px;
        height: 60px;
        border-bottom: 2px solid rgb(230, 230, 230);
    }

    .main-breadcrumb-line {
        color: #393939;
        font-size: 23px;
        padding-top: 15px;
        padding-left: 15px;
    }

    .main-breadcrumb-left {
        padding-right: 25px;
        font-weight: 600;
/*        border-right: 2px solid rgb(230, 230, 230);*/
        float: left;
    }

    .main-breadcrumb-right {
        font-weight: 500;
        float: left;
        padding-top: 2px;
        padding-left: 20px;
        font-size: 20px;
        height: 40px;
        width: 600px;
    }

    .main-options {
        padding-top: 15px;
        padding-bottom: 15px;
        color: #393939;
        font-size: 12px;
        border-bottom: 2px solid rgb(230, 230, 230);
    }

    .main-options-line {
        height: 50px;
    }

    .main-options-line-date {
        height: 100%;
    }

    .main-options-line-date-left {
        height: 100%;
        width: 50%;
        float: left;
    }

    .main-options-line-date-right {
        height: 100%;
        width: 50%;
        float: left;
        border-right: 2px solid rgb(230, 230, 230);
    }

    .main-options-line-date-text {
        font-size: 11px;
        padding-bottom: 5px;
    }

    .main-options-date-input {
        width: 95px; /* TODO */
    }

    input[type=checkbox].css-checkbox {
        position:absolute; 
        z-index:-1000; 
        left:-1000px; 
        overflow: hidden; 
        clip: rect(0 0 0 0); 
        height:1px; 
        width:1px; 
        margin:-1px; 
        padding:0; 
        border:0;
    }

    input[type=checkbox].css-checkbox + label.css-label {
        padding-left:7px;
        padding-right: 10px;
        margin-top: 4px;
        height:18px; 
        display:inline-block;
        line-height:20px;
        background-repeat:no-repeat;
        background-position: 0 0;
        font-size:12px;
        vertical-align:middle;
        cursor:pointer;
        color: #666666;
        font-weight: 600;
    }

    input[type=checkbox].css-checkbox:checked + label.css-label {
        background-position: 0 -18px;
    }
    
    
    label.css-label {
        background-image: url(../img/main-input.png);
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }
    
    label.css-label.with-padding{
        padding-left: 20px!important;
    }
    
    label.template-label{
        font-weight: 400!important;
        color: #000!important;
        font-size: 10px!important;
        margin-top: 0px!important;
        line-height: 17px!important;
        padding-left: 0px!important;
        padding-right: 0px!important;
        float: left;
    }
    
    .competitions label, .trainings label, .users label{
        font-size: 14px;
        font-weight: 500;
        line-height: 30px;
    }
    
    .main-table {
        padding: 20px 15px 20px 15px;
        font-size: 11px;
        color: #393939;
    }

    .main-table-line {
        background-color: #ececec;
        height: 90px;
        border-top: 2px solid rgb(204, 204, 204);
        border-bottom: 2px solid rgb(204, 204, 204);
    }
    
    .right-floatted{
        float: right;
    }
    
    .results .fr3ex-header {
        display: none;
    }
    
    .fr3ex-header {
        overflow:auto;
        color: #7b7b7b;
        border-bottom: 1px solid #D4D4D4 !important;
    }

    .fr3ex-table-container {
        margin: 0 auto;
    }

    .fr3ex-header-cell {
        background-color: #ececec;
        border-left: 1px solid rgb(204, 204, 204);
        display: inline;
        float: left;
        padding-top: 13px;
    }

    .fr3ex-header-cell:first-child {
        border-left: 0px;
    }

    .fr3ex-header-cell:last-child {
        border-right: 0px; 
    }

    .fr3ex-header .fr3ex-header-row:nth-child(1) .fr3ex-header-cell {
        border-top: 1px solid rgb(204, 204, 204);
    }

    .fr3ex-cell {
        display: inline;
        float: left;
        min-height: 40px;
        border-bottom: 1px solid #D4D4D4 !important;
        padding-top: 10px;
        padding-left: 6px;
        padding-bottom: 10px;
        padding-right: 6px;
    }

    .fr3ex-cell:first-child {
        border-left: 0px;
/*        line-height: 10px;*/
    }

    .fr3ex-cell:last-child {
        border-right: 0px;
    }
    
    .fr3ex-table {
        font-size: 10px;
        margin: 0 auto;
    }

    .fr3ex-body-row {
        overflow:auto;
        display: flex;
        line-height: 25px;
    }
    
    .text-white{
        color: #FFF;
    }
    
    .fr3ex-type-text {
        text-align: center !important;
    }

    .main-bottom-line {
        margin-top: 20px;
        height: 1px;
        background-color: rgb(204, 204, 204);
        width: 100%;
        margin: 15px 0px;
    }

    .main-bottom-button {
        background-color: initial;
        height: 30px;
        width: 70px;
        line-height: 30px;
        font-size: 12px;
        color: #fff;
        text-align: center;
        margin: 0px auto;
        cursor: pointer;
        float: right;
        margin: 20px 10px;
    }

    .main-button {
        background-color: #007bff;/*#24935f*//*#2fa829*/;
        height: 30px;
        padding: 0px 15px;
        line-height: 30px;
        font-size: 12px;
        color: #fff;
        text-align: center;
        margin: 0px auto;
        cursor: pointer;
        float: left;    
    }

    .btn-default{
         background-color: #428bca !important;
        height: 30px !important;
        padding: 0px 15px !important;
        line-height: 30px !important;
        font-size: 12px !important;
        color: #fff !important;
        text-align: center !important;
        margin: 0px auto !important;
        cursor: pointer !important;
        float: left !important; 
    }
    
    .main-bottom-button.up {
        background-color: #428bca;
        color: #fff;
    }

    .main-bottom-button.up a {
        color: #fff;
        text-decoration: none;
    }

    .main-bottom-button.back {
        background-color: #428bca;
    }

    .overflowed {
        display: block;
        width: 100%;
        overflow: hidden;
        height: 28px;
        line-height: 14px; 
        margin-top: -5px;
    }

    
    .icon-cell {
        width: 100%;
        height: 40px;
        background-repeat: no-repeat;
        background-position: center;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .calendar-cell {
        width: 100%;
        height: 40px;
        background-image: url(../img/small-cal-table-ico.png);
        background-repeat: no-repeat;
        background-position: 3px center;
        padding-left: 15px;
        line-height: 40px;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .time-cell {
        width: 100%;
        height: 40px;
        background-image: url(../img/gclock-table-ico.png);
        background-repeat: no-repeat;
        background-position: 8px center;
        padding-left: 12px;
        line-height: 40px;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .place-cell {
        width: 100%;
        height: 40px;
        line-height: 40px;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .place-cell.has-data {
        background-image: url(../img/ginfo-table-ico.png);
        background-repeat: no-repeat;
        background-position: center center;
    }

    .wdesc-cell.has-data .fr3ex-wdesc-tooltip {
        height: 40px;
        width: 34px;
        background-image: url(../img/info-table-ico.png);
        background-repeat: no-repeat;
        background-position: center center;
        position: absolute;
    }

    .cdesc-cell {
        width: 100%;
        height: 40px;
        line-height: 40px;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .cdesc-cell.has-data {
        background-image: url(../img/info-table-ico.png);
        background-repeat: no-repeat;
        background-position: center center;
    }

    .fr3ex-tooltip:after, .fr3ex-tooltip:before {
        top: 21px!important;
    }

    .fr3ex-cell {
        background-color: transparent!important;
    }

    .pivot-text {
        -webkit-transform: rotate(90deg);
        -webkit-transform-origin: left top;
        -moz-transform: rotate(90deg);
        -moz-transform-origin: left top;
        -ms-transform: rotate(90deg);
        -ms-transform-origin: left top;
        -o-transform: rotate(90deg);
        -o-transform-origin: left top;
        transform: rotate(90deg);
        transform-origin: left top;
        position: absolute;
        left: 22px;
        white-space: nowrap;
    }

    .fr3ex-body.edit-mode {
        background-color: #cdcdcd;
    }

    .fr3ex-body.edit-mode .current-edit {
        background-color: #fff;
        z-index: 1000;
    }

    #edit-opc {
        background-color: transparent;
        position: fixed;
        width: 100vw;
        height: 100vh;
        z-index: 999;
    }

    .edit {
        position: absolute;
        left: 0px;
        top: 0px;
        border: 0px;
        outline: none;
        width: 100%;
        line-height: 40px;
        padding-left: 3px;
        z-index: 1001;
    }

    select.edit {
        height: 40px;  
    }

    .tbl-buttons {
        position: absolute;
        width: 40px;
        height: 40px;
    }

    #btn-save {
        background-image: url(../img/ok-table-ico.png);
        background-repeat: no-repeat;
        background-position: center; 
        width: 100%;
        height: 20px;
        cursor: pointer;
    }

    #btn-cancel {
        background-image: url(../img/rnok-table-ico.png);
        background-repeat: no-repeat;
        background-position: center; 
        width: 100%;
        height: 20px;
        cursor: pointer;
    }

    .btn,
    .modal-content {
        border-radius: 0px;
    }
    
    .cake-table .fr3ex-header-cell a {
        color: #7b7b7b;
        text-decoration: none;
    }

    .cake-table .fr3ex-header-cell a.desc:after {
        content: '\00a0\2193';
        display: inline-block;
    }


    .cake-table .fr3ex-header-cell a.asc:after {
        content: '\00a0\2191';
        display: inline-block;
    }

    .pagination-tbl {
        margin: 0px auto;
        /*  width: 400px;*/
        position: relative;
        height: 30px;
    }
    .pagination-tbl .next {
        display: inline-block;
        float: right;
    }
    .pagination-tbl .prev {
        display: inline-block;
        float: left;
    }
    .pagination-tbl .numb {
        display: inline-block;
        left: 45%;
        position: absolute;
        margin-left: -65px;
        padding-top: 5px;
    }
    
.upag-prev .prev {
        background-color: #428BCA;
        height: 30px;
        padding: 0px 15px;
        line-height: 30px;
        font-size: 12px;
        color: #FFF;
        text-align: center;
        margin: 0px auto;
        cursor: pointer;
        float: left;
        width: 115px;
    }

    .upag-next .next {
        background-color: #428BCA;
        height: 30px;
        padding: 0px 15px;
        line-height: 30px;
        font-size: 12px;
        color: #FFF;
        text-align: center;
        margin: 0px auto;
        cursor: pointer;
        float: right;
        width: 115px;
    }

    .upag-prev a, .upag-next a {
        color: #fff;
    }

    .usearch {
        border: 1px solid rgb(225, 225, 225);
        height: 30px;
        line-height: 30px;
        background-color: rgb(235,235,235);
        float: right;
        margin-left: 30px;
        padding-left: 15px;
        width: 170px;
        color: rgb(123, 123, 123);
    }
    
    .form-tsearch, .form-usearch{
        float: right;
    }
    
    .upag-prev .disabled {
        background-color: rgb(123, 123, 123);
        height: 30px;
        padding: 0px 15px;
        line-height: 30px;
        font-size: 12px;
        color: rgb(255, 255, 255);
        text-align: center;
        float: left;
        width: 115px;
        display: none;
    }

    .upag-next .disabled {
        background-color: rgb(123, 123, 123);
        height: 30px;
        padding: 0px 15px;
        line-height: 30px;
        font-size: 12px;
        color: rgb(255, 255, 255);
        text-align: center;
        float: right;
        width: 115px;
        display: none;
    }

    .main-button.cancel {
        float: left;
        background-color: #fff;
        border: 1px solid #428BCA;
        color: #428BCA;
    }

    .main-button.submit {
        float: right;
        border: none;
    }
    
    .main-button.intable {
        float: left;
        border: none;
        position: relative;
        top: 10px;  
        left: 45px;
        height: 20px;
        line-height: 20px;
    }
    
    .main-button.instruction{
        float: right;
        margin: 9px 20px;
    }
    
    .ufooter {
        padding-top: 15px;
    }

    .col-md-12.tline {
        padding-bottom: 10px;
    }

    .tinput {
        border: 1px solid #CCC6C6;
        height: 28px;
        line-height: 24px;
        background-color: #FFF6F7;
        font-size: 12px;
        width: 100%;
    }
   
    
.buttonright{
    background-color: #418bca;
    height: 30px;

    line-height: 30px;
    font-size: 12px;
    color: #FFF;
    text-align: center;
    cursor: pointer;
    float: right;
    margin: 25px 30px;
    padding-left: 20px;
    padding-right: 20px;
}
.buttonleft{
    background-color: #418bca;
    height: 30px;

    line-height: 30px;
    font-size: 12px;
    color: #FFF;
    text-align: center;
    cursor: pointer;
    float: left;
    margin: 25px 30px;
    padding-left: 20px;
    padding-right: 20px;
}

.result-arrow{
    margin-left: 27px;
}

.results .fr3ex-table {
    width: 570px;
    float: right;
}
    
.results .fr3ex-body .fr3ex-cell {
    line-height: 25px;
    font-size: 15px;
}
        
.results-image{
    width: 320px;
    height: 312px;
    float: left;
    margin-top: 20px;
}

.result-case{
    padding: 20px;
}

.result-case-title{
    font-size: 18px;
    margin-bottom: 7px;
}

.result-case-title-text{
    font-size: 14px;
    display: inline;
}

.result-case-title-casename{
    display: inline-block;
    font-weight: 700;
    width: 200px;
}

.result-case-title-step{
    display: inline-block;
    width: 120px;
}

.result-case-title-time{
    display: inline-block;
    width: 120px;
}

.result-case-title-result{
    display: inline-block;
    width: 200px;
}

.green{
    color: #d64c4c;
    display: inline;
    font-weight: 700;
}

.orange{
    color: #e0b542;
    display: inline;
    font-weight: 700;
}

.red{
    color: #19870a;
    display: inline;
    font-weight: 700;
}

.green-font{
    color: #19870a;
}

.orange-font{
    color: #e0b542;
}

.red-font{
    color: #d64c4c;
}









/* DRAG DROP */


.drop-object .drag-object,
.white-button{
    color: #474747;
    text-align: center;
    border-radius: 10px;
    background: #d4d4d4;
    background: linear-gradient(#ffffff 1%, #d4d4d4 99%);
    box-shadow:
        0px 0px 0px 1px #ffffff,
        0px 0px 0px 3px #dedede;
    opacity: 1;
}

.drop-object-number{
    padding-top: 5px;
    padding-left: 10px;
}

.drop-list
{
    padding-left: 0px;
}

.schema-object-inactive,
.drop-object-background
{
    width: 100%;
    border: 1px dashed #c0c0c0;
    border-radius: 10px;
    height: 50px;
    margin-top: 9px;
    padding-top: 9px;
    background-color: rgba(218, 218, 218, 0.4);
/*    text-align: center;*/
}

.drop-object
{
    width: 100%;
    height: 50px;
    margin-top: -27px;
    position: relative;
}

.drop-title
{
    font-family: "Open Sans",sans-serif;
    font-size: 16px;
    color: #000;
    border-bottom: 1px solid #CCC;
    margin: auto;
    padding: 40px 0px 10px 0px;
    width: 60%;
    text-align: center;
}

.drag-list{
    
}

.drag-object-background{
    width: 100%;
    height: 50px;
    border: 1px solid #d1d1d1;
    border-radius: 10px;
    margin-top: 9px;
    background-color: rgba(237, 237, 237, 0.2);
}

.drag-object{
    width:100%;
    height: 50px;
    margin-bottom: 30px;
    line-height: 15px;
    cursor: pointer;
    border-radius: 10px;
}

.drag-object .exercise-image-background{
    background-image: none;
    width: 40px;
    height: 40px;
    margin: 0px;
}

.drag-object .exercise-photo{
    width: 40px;
}

.drag-object .exercise-title{
    font-size: 12px;
}

[draggable] {
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    /* Required to make elements draggable in old WebKit */
    -khtml-user-drag: element;
    -webkit-user-drag: element;
}